Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Attention: The Community will be in read-only mode on 12/14/2017 from 12:00 am pacific to 11:30 am.

During this time you will only be able to see content. Other interactions such as posting, replying to questions, or marking content as helpful will be disabled for few hours.

We apologize for the inconvenience while we perform important updates to the Community.

New Member

IOS XR upgrade to 4.3.1

Hi Guys

I'm trying to upgrade the IOS XR from 4.3.0 to 4.3.1 on ASR9006, but I have the following issue while I'm testing:

Sat Nov  9 07:25:59.336 UTC

Install operation 46 '(admin) install activate disk0:asr9k-fpd-px-4.3.1

disk0:asr9k-k9sec-px-4.3.1 disk0:asr9k-mcast-px-4.3.1 disk0:asr9k-mgbl-px-4.3.1

disk0:asr9k-mpls-px-4.3.1 disk0:asr9k-services-p-px-4.3.1 synchronous test'

started by user 'desca' via CLI at 07:25:59 UTC Sat Nov 09 2013.

/ 1% complete: The operation can still be aborted (ctrl-c for options)

Warning:  No changes will occur due to 'test' option being specified. The

Warning:  following is the predicted output for this install command.

RP/0/RSP0/CPU0:Nov  9 07:26:00.959 : instdir[254]: %INSTALL-INSTMGR-4-INSTALL_OPERATION_WARNING : A warning occurred during install operation 46. See 'show install log 46 detail' for more informa- 1% complete: The operation can still be aborted (ctrl-c for options)tion.

\ 1% complete: The operation can still be aborted (ctrl-c for options)RP/0/RSP0/CPU0:Nov  9 07:26:04.762 : instdir[254]: %INSTALL-INSTMGR-3-INSTALL_OPERATION_USER_ERROR : User error occurred during install operation 46. See 'show install log 46 detail' for more information.

Error:    Cannot proceed with the activation because of the following package

Error:    incompatibilities:

Error:      iosxr-mpls-4.3.1 needs iosxr-routing-4.3.1, or equivalent, to be

Error:    active on the same nodes.

Error:      iosxr-mpls-4.3.1 needs iosxr-fwding-4.3.1, or equivalent, to be

Error:    active on the same nodes.

Error:      iosxr-mpls-4.3.1 needs iosxr-infra-4.3.1, or equivalent, to be

Error:    active on the same nodes.

Error:      iosxr-mpls-4.3.1 needs iosxr-os-4.3.1, or equivalent, to be active

Error:    on the same nodes.

Error:    Suggested steps to resolve this:

Error:     - check the installation instructions.

Error:     - activate or deactivate the specified packages on the specified

Error:       nodes.

| 1% complete: The operation can still be aborted (ctrl-c for options)

Install operation 46 failed at 07:26:04 UTC Sat Nov 09 2013.

RP/0/RSP0/CPU0:PE01CPARTY(admin)

The operation is requesting for: iosxr-routing-4.3.1, iosxr-fwding-4.3.1, iosxr-infra-4.3.1, and iosxr-os-4.3.1 packages

I've installed the following SMUs: CSCug87873 and CSCuf26300 according to the upgrade procedure, because I'm installing mpls package.

Here's the available packages for activate:

RP/0/RSP0/CPU0:PE01CPARTY(admin)#install activate ?

  WORD                                        User specified package(s) to activate

  disk0:asr9k-base-4.2.3.CSCud98419-1.0.0     Package to activate

  disk0:asr9k-doc-px-4.3.1                    Package to activate

  disk0:asr9k-fpd-px-4.3.1                    Package to activate

  disk0:asr9k-k9sec-px-4.3.1                  Package to activate

  disk0:asr9k-mcast-px-4.3.1                  Package to activate

  disk0:asr9k-mgbl-px-4.3.1                   Package to activate

  disk0:asr9k-mpls-px-4.3.1                   Package to activate

  disk0:asr9k-p-4.2.3.CSCud98419-1.0.0        Package to activate

  disk0:asr9k-px-4.3.1.CSCug87873-1.0.0       Package to activate

  disk0:asr9k-service-supp-4.3.1              Package to activate

  disk0:asr9k-services-p-px-4.3.1             Package to activate

  disk0:iosxr-fwding-4.3.1.CSCug87873-1.0.0   Package to activate

  disk0:iosxr-infra-4.2.3.CSCud98419-1.0.0    Package to activate

  disk0:iosxr-infra-4.3.1.CSCug87873-1.0.0    Package to activate

  disk0:iosxr-routing-4.3.1.CSCug87873-1.0.0  Package to activate

  id                                          The id of the install add operation containing packages to activate

Despite I've added the iosxr-routing-4.3.1, iosxr-fwding-4.3.1, and iosxr-infra-4.3.1 packages, the operation keeps requesting for them, additionally is requesting for iosxr-os-4.3.1 package, but I don't know where this package is.

Hope you can help me to understand this issue.

Thanks!

Marcelo

Everyone's tags (5)
7 REPLIES
Cisco Employee

IOS XR upgrade to 4.3.1

Hi Marcelo,

Did you add mini-px ?

Regards

Venkat

New Member

IOS XR upgrade to 4.3.1

Hi Ventak

Yes, I added mini-px, this packet was added correctly.

Regards,

Marcelo

Cisco Employee

IOS XR upgrade to 4.3.1

Hi Marcelo,

In order to upgrade you must activate all v2 packages at the same time, and these v2 packages must cover all current v1 activated packages at a minimum.

Take for instance your 'show install active summary' says that you have the 4.3.0 mini and mcast packages active: This means that to upgrade to 4.3.1 the minimum packages required when running the 'install activate' command is the mini and mcast because we must keep the same software version for all active packages.

You cannot upgrade some packages to v2 and keep others as v1. This is why the MPLS package is complaining that the routing, forwarding, infra, and OS packages (part of the mini) are not the right version.

Given the outputs it looks like you need to add the mini for 4.3.1 to your 'install activate' command string.

Thanks,

Sam

New Member

IOS XR upgrade to 4.3.1

Hi Sam

Thanks for your explanation I got it, however how to activate the mini-px also? because this packet is not available to activate despite it was added correctly with "install add" command. The following is the result of the "install add" command

Info:     The following packages are now available to be activated:

Info:     

Info:         disk0:asr9k-mpls-px-4.3.1

Info:         disk0:asr9k-fpd-px-4.3.1

Info:         disk0:asr9k-k9sec-px-4.3.1

Info:         disk0:asr9k-mcast-px-4.3.1

Info:         disk0:asr9k-mgbl-px-4.3.1

Info:         disk0:asr9k-services-p-px-4.3.1

Info:     

Info:     The packages can be activated across the entire router.

Info:     

Install operation 35 completed successfully at 03:11:30 UTC Sat Nov 09 2013.

RP/0/RSP0/CPU0:PE01CPARTY#

I really appreciate your support!

Marcelo

Cisco Employee

IOS XR upgrade to 4.3.1

Marcelo,

If you have installed mini-px already then its not required now. check in show install active summary. If its not there then you need to again add using install add with the mini-px as you did for other packages. While activation, you can just do admin install activate disk0:*4.3.1 , this will install everything at shot. hope this helps.

Regards,

Venkat.

New Member

IOS XR upgrade to 4.3.1

Hi Guys

Thanks for your help, I got success by doing turboboot upgrade procedure. I think this procedure is easier and controlled way to.

Regards,

Marcelo

Cisco Employee

IOS XR upgrade to 4.3.1

Thanks for the update Marcelo.

1285
Views
0
Helpful
7
Replies
CreatePlease to create content